Assets
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
cursorstringOptional
Optional cursor to get next pages (based on the next key on query response)
searchstringOptional
Search by name, ticker
Responses
200
Successful response
application/json
nextstring · nullableRequired
Next page cursor
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/assets/currencies
GET /rest/assets/currencies HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"next": "text",
"results": [
{
"id": "text",
"name": "text",
"ticker": "text",
"type": "BITCOIN_LIKE",
"units": [
{
"code": "text",
"name": "text",
"magnitude": 1
}
]
}
]
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
cursorstringOptional
Optional cursor to get next pages (based on the next key on query response)
searchstringOptional
Search by name, ticker, or contract address
networkstringOptional
Filter by network (e.g. ethereum)
Responses
200
Successful response
application/json
nextstring · nullableRequired
Next page cursor
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/assets/tokens
GET /rest/assets/tokens HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"next": "text",
"results": [
{
"id": "text",
"name": "text",
"ticker": "text",
"type": "BITCOIN_LIKE",
"units": [
{
"code": "text",
"name": "text",
"magnitude": 1
}
],
"contractAddress": "text",
"currency": "text"
}
]
}Last updated